Bug 183339 - parse_str does not preserve null chars
parse_str does not preserve null chars
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: php (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
Kevin Baker
Depends On:
  Show dependency treegraph
Reported: 2006-02-28 07:33 EST by Glen Scott
Modified: 2014-12-01 18:08 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-06-20 12:10:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Glen Scott 2006-02-28 07:33:38 EST
Description of problem:

parse_str function does not seem to preserve null characters:

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:


$qstring = 'category[]=green%00yellow%00red';

parse_str( $qstring );
var_dump( $category );


Actual results:

array(1) { [0]=> string(16) "greenyellowred" }

Expected results:

array(1) { [0]=> string(18) "green\0yellow\0red" }

Additional info:
Comment 2 Jiri Pallich 2012-06-20 12:10:52 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.

Note You need to log in before you can comment on or make changes to this bug.